> ## Documentation Index
> Fetch the complete documentation index at: https://docs.neynar.com/llms.txt
> Use this file to discover all available pages before exploring further.

# FID's limits

> Fetch a user's storage limits.



## OpenAPI

````yaml get /v1/storageLimitsByFid
openapi: 3.0.4
info:
  title: Farcaster Hub API
  version: 2.35.0
  description: >
    Perform basic queries of Farcaster state via the REST API of a Farcaster
    hub. See the [Neynar docs](https://docs.neynar.com/reference) for more
    details.
  contact:
    name: Neynar
    url: https://neynar.com/
    email: team@neynar.com
servers:
  - url: https://snapchain-api.neynar.com
security:
  - ApiKeyAuth: []
tags:
  - name: Info
    description: Operations related to hub information.
  - name: Casts
    description: Operations related to casts.
  - name: Reactions
    description: Operations related to reactions.
  - name: Links
    description: Operations related to links.
  - name: UserData
    description: Operations related to user data.
  - name: Fids
    description: Operations related to FIDs.
  - name: Storage
    description: Operations related to storage limits.
  - name: Usernames
    description: Operations related to usernames.
  - name: Verifications
    description: Operations related to verifications.
  - name: OnChainEvents
    description: Operations related to on-chain events.
  - name: Message
    description: Operations related to messages.
  - name: HubEvents
    description: Operations related to hub events.
paths:
  /v1/storageLimitsByFid:
    get:
      tags:
        - Storage
      summary: FID's limits
      description: Fetch a user's storage limits.
      operationId: lookup-user-storage-limit
      parameters:
        - name: fid
          in: query
          required: true
          schema:
            type: integer
          example: 3
      responses:
        '200':
          description: A successful response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StorageLimitsResponse'
        default:
          $ref: '#/components/responses/ErrorResponse'
      externalDocs:
        description: Fetch a user's storage limits
        url: https://docs.neynar.com/reference/lookup-user-storage-limit
components:
  schemas:
    StorageLimitsResponse:
      type: object
      properties:
        limits:
          type: array
          items:
            $ref: '#/components/schemas/StorageLimit'
        units:
          type: integer
          format: uint64
          description: Total storage units bought by the user.
          example: 1
        unitDetails:
          type: object
          properties:
            unitType:
              type: string
              enum:
                - UnitTypeLegacy
                - UnitType2024
            unitSize:
              type: integer
              format: uint64
              example: 1
        tier_subscriptions:
          type: array
          description: >-
            List of subscription tiers for the user. Each entry describes a
            subscription tier and its expiration.
          items:
            type: object
            properties:
              tier_type:
                type: string
                description: The name of the subscription tier
                enum:
                  - Pro
              expires_at:
                type: integer
                format: int64
                description: >-
                  Expiration time of the subscription tier as a Unix timestamp
                  (seconds since epoch).
                example: 1749611663
      required:
        - limits
        - units
        - unitDetails
    StorageLimit:
      type: object
      properties:
        storeType:
          $ref: '#/components/schemas/StoreType'
        limit:
          type: integer
          format: uint64
      required:
        - storeType
        - limit
    ErrorResponse:
      required:
        - code
        - details
        - errCode
        - metadata
        - name
        - presentable
      type: object
      properties:
        errCode:
          type: string
        presentable:
          type: boolean
        name:
          type: string
        code:
          type: integer
        details:
          type: string
        metadata:
          required:
            - errcode
          type: object
          properties:
            errcode:
              type: array
              items:
                type: string
    StoreType:
      type: string
      default: STORE_TYPE_CASTS
      enum:
        - STORE_TYPE_CASTS
        - STORE_TYPE_LINKS
        - STORE_TYPE_REACTIONS
        - STORE_TYPE_USER_DATA
        - STORE_TYPE_VERIFICATIONS
        - STORE_TYPE_USERNAME_PROOFS
  responses:
    ErrorResponse:
      description: An unexpected error response.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: API key to authorize requests
      x-default: NEYNAR_API_DOCS

````